Need php5 GD support


#1

Hello,

Is there any way I get get php gd package installed?

apt- get install php5-gd

My website uses the function imagecreatefromjpeg() but I can’t run it without this package.


#2

DreamHost’s default PHP5 installation has GD support already installed. From the output of phpinfo():

PHP Version 5.2.6

System Linux ***** 2.6.24.2-grsec-p4-peon-1.1.2-grsec #1 SMP Wed Feb 20 15:30:29 PST 2008 i686
Build Date May 11 2008 13:09:07
Configure Command ‘./configure’ ‘–prefix=/usr/local/php5’ ‘–enable-fastcgi’ ‘–with-mysql=/usr’ ‘–enable-calendar’ ‘–enable-force-cgi-redirect’ ‘–with-config-file-path=/etc/php5/cgi’ ‘–enable-trans-sid’ [color=#CC0000]’–with-gd’[/color] ‘–with-xml’ ‘–with-xsl’ ‘–with-ttf=/usr’ ‘–with-freetype-dir=/usr’ ‘–enable-exif’ ‘–with-xslt’ ‘–with-xslt-sablot=/usr’ ‘–with-dom-xslt=/usr’ ‘–with-jpeg-dir=/usr’ ‘–with-png-dir=/usr’ ‘–with-zlib-dir=/usr’ ‘–with-pdo-mysql’ ‘–enable-ftp’ ‘–with-curl=/usr’ ‘–with-pspell=/usr’ ‘–enable-mbstring’ ‘–with-mcrypt’ ‘–with-mysqli’ ‘–with-openssl=/usr’ ‘–with-imap=/usr/local/imap-2000b’ ‘–with-imap-ssl’ ‘–with-gettext’

gd
GD Support enabled
GD Version bundled (2.0.34 compatible)
FreeType Support enabled
FreeType Linkage with freetype
FreeType Version 2.1.7
GIF Read Support enabled
GIF Create Support enabled
JPG Support enabled
PNG Support enabled
WBMP Support enabled
XBM Support enabled

–rlparker
–DreamHost Tech Support